<?PHP
       /*-------------------------------------------------------------------*\
      //       (>"<)                                                          |
     //        o", ) Das Copyright dieses Scriptes liegt bei Fabian Schneider |
    //         (.(,) www.fabian-schneider.com  webmaster@fabian-schneider.com |
   //          '.'.J                  ICQ:147326489                           |
  //-------------------------------------------------------------------------/
 /*      Skript(Freeware): Galerie v.1.2                                    *|
<|*      Beschreibung: Das Skript leitet weiter umd erstellt Einzelbilder   *|
 \*                                                                         *|
  \\-------------------------------------------------------------------------\
   \\            /)/)  Datei erstellt am: 26.04.2003                          |
    \\         =(';')= letzte nderung: 16.02.2004                            |
     \\        c(")(") Dateiname: galerie.php                                 |
      \\!!Das Copyright im Script und auerhalb darf nicht verndert werden!! |
       \*--------------------------------------------------------------------*/

################ Alles fr den Bilderklau vorbereiten
session_start();

// Cache deaktivieren
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") ." GMT");
header("Pragma: no-cache");
header("Cache-Control: no-store, no-cache, max-age=0, must-revalidate");

// Challenge-ID
mt_srand((double)microtime()*1000000);

$random = mt_rand();
$random = md5(uniqid($random,TRUE));

if(!isset($_SESSION['sess_challenge_id'])) {
    $_SESSION['sess_challenge_id'] = $random;
}
################ Beginn des eigentlichen Scriptes
include("config.php");

//Einlesen der bergebenen Werte per "get"; Zuweisung von fehlerhaften oder unvollstndigen Variablen
//Anschlieendes Weiterleiten auf die entsprechenden Skripte

##### Weiterleitung auf die Vorschau der Galerien
if ( (empty($_GET['id']) || $_GET['id'] == "all") && !isset($_GET['gal_id']) && count($galerien) > 1 ) {
   include($galerie_all);
   exit();
}
if ( isset($_GET['id']) ) {
    $id = $_GET['id'];
}
if ( isset($_GET['gal_id']) ) {
    $gal_id = $_GET['gal_id'];
}
if ( empty($_GET['id']) ) {
    $id = "vorschau";
}
if ( empty($_GET['gal_id']) ) {
    $gal_id = 0;
}
if ( $gal_id > count($galerien) ) {
    $gal_id = 0;
}
if (!isset($_GET['seite']) || empty($_GET['seite'])) {
    $seite = 1;
} else {
    $seite = $_GET['seite'];
}

//Zuordnung der Datei-Datenbank
$datei = $img_ordner."/".$galerien[$gal_id].".dat";

##### Weiterleitungen auf die Vorschau einer Galerie
if ( count($galerien) <= 1 && abs($id) <= 0 ) {
    include($galerie_vorschau);
    exit();
}
if ( $id == "vorschau" || $id == "all" ) {
    include($galerie_vorschau);
    exit();
}

##### Ausgabe eines Bildes

//Auslesen der Datei-Datenbank fr den Einzelbildmodus bis 'id' gefunden wurde
$f = file($datei);
for ($i=0;$i<count($f);$i++) {
    if (substr($f[$i],0,5) == $id) {
        $dat = explode("|",$f[$i]);
        break;
    }
}
if ( empty($dat) ) {
    $dat = explode("|",$f[0]);
}

//Ausgabe-Variablen werden belegt
$galerie = $dat[4]; $bild = $dat[5];

######### Bild sicher ausgeben
// Grafik auslesen
$img = @GetImageSize($img_ordner."/".$pic_ordner."/".$dat[3]);
$width = $img[0];
$height = $img[1];
$bild_url = "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"".$width."\" height=\"".$height."\" align=\"center\">\n
                <tr>\n
                    <td width=\"".$width."\" height=\"".$height."\" background=\"read_image.php?img=". rawurlencode($dat[3]) ."&challenge=".$_SESSION['sess_challenge_id']."\">\n
                        <img border=\"0\" src=\"".$img_ordner."/blind.gif\" width=\"".$width."\" height=\"".$height."\" alt=\"".$bild."\">\n
                    </td>\n
                </tr>\n
             </table>\n";
######### Bild ist sicher!

$beschreibung = "";
              if (substr($dat[6],0,3)!="xxx") {
                  $beschreibung = $dat[6];
              }
              
##### Die Navigation wird erstellt
$nav = "";
if ($dat[1] != "xxxxx") {
    $nav .= '<a href="'.$galerie_name.'?gal_id='.$gal_id.'&id='.$dat[1].'&seite='.$seite.'"><img src="'.$img_ordner.'/zurueck.gif" border="0" alt="voriges Bild"></a>';
}
$nav .= '&nbsp;<a href="'.$galerie_name.'?gal_id='.$gal_id.'&id=vorschau&seite='.$seite.'"><img src="'.$img_ordner.'/aufwaerts.gif" border="0" alt="Zur Vorschau dieser Galerie"></a>&nbsp;';
if ($dat[2] != "xxxxx") {
    $nav .= '<a href="'.$galerie_name.'?gal_id='.$gal_id.'&id='.$dat[2].'&seite='.$seite.'"><img src="'.$img_ordner.'/naechstes.gif" border="0" alt="nchstes Bild"></a>';
}
if ($dat[2] == "xxxxx" && $dat[1] == "xxxxx") {
    $nav .= '&nbsp;';
}

##### Ausgabe an das entsprechende Template
$template = "templates/einzel_bild.html";
$fp = fopen($template,"r");
$output = fread($fp, filesize($template));
fclose($fp);
$output = str_replace("%Galerie%",$galerie,$output);
$output = str_replace("%Bild%",$bild,$output);
$output = str_replace("%auf%",$galerie_name,$output);
$output = str_replace("%aufwaerts%",$img_ordner."/aufwaerts.gif",$output);
$output = str_replace("%nav%",$nav,$output);
$output = str_replace("%Bild_URL%",$bild_url,$output);
$output = str_replace("%Beschreibung%",$beschreibung,$output);
$output = stripslashes ($output);
echo $output;
?>
